Name:       ibus-table-cangjie
Version:    1.2.0.20090717
Release:    2%{?dist}
Summary:    CangJie table(s) for ibus-table
License:    Public Domain and GPLv2+ 
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:    http://ibus.googlecode.com/files/ibus-table-quick-1.2.0.20090902.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

# for noarch pkgconfig
Requires:   ibus >= 1.2, ibus-table >= 1.2
BuildRequires: ibus >= 1.2, ibus-table >= 1.2
BuildRequires:  gettext-devel >= 0.17, automake >= 1.10.1

%description
The package contains CangJie table for Table engine of IBus platform. 

%prep
%setup0 -q -b 0 -n %{name}-%{version}
%setup1 -q -b 1 -n ibus-table-quick-1.2.0.20090902

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb -o"

cd ../%{name}-%{version}
./autogen.sh --prefix=%{_prefix} --enable-cangjie5 --enable-cangjie3
%__make %{?_smp_mflags}
cd ../ibus-table-quick-1.2.0.20090902/
./autogen.sh --prefix=%{_prefix} --enable-quick5 --enable-quick3

%install
%__rm -rf %{buildroot}
cd ../%{name}-%{version}
make DESTDIR=%{buildroot} INSTALL="install -p" NO_INDEX=true install
cd ../ibus-table-quick-1.2.0.20090902/
make DESTDIR=%{buildroot} INSTALL="install -p" NO_INDEX=true install

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n cangjie3.db
%{_bindir}/ibus-table-createdb -i -n cangjie5.db
%{_bindir}/ibus-table-createdb -i -n quick3.db
%{_bindir}/ibus-table-createdb -i -n quick5.db
%{_bindir}/ibus-table-createdb -i -n quick-classic.db

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_datadir}/ibus-table
%dir %{_datadir}/ibus-table/icons
%dir %{_datadir}/ibus-table/tables
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/cangjie3.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/cangjie5.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/quick3.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/quick5.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/quick-classic.db
%{_datadir}/ibus-table/icons/cangjie3.svg
%{_datadir}/ibus-table/icons/cangjie5.svg
%{_datadir}/ibus-table/icons/quick3.png
%{_datadir}/ibus-table/icons/quick5.png
%{_datadir}/ibus-table/icons/quick-classic.png

%changelog
* Tue Oct 06 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20090717-2.fc11
- Rebuilt.

* Wed Sep 30 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20090717-1.fc11
- Rebuilt for ibus 1.2.

* Tue Jun 23 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090309-13.fc11
- Refined macros.

* Tue Jun 23 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090309-12.fc11
- Resolves: rhbz#505700 (Error of no such main.phrases table at post stage.)
- Resolves: rhbz#500579 (Missing .txt during post-install.)
- Added list of owned directories in file section.

* Fri Jun 19 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090309-11.fc11
- Rebuilt. 

* Fri Jun 19 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090309-10.fc11
- Resolves: rhbz#505700 (Error of no such main.phrases table at post stage.)

* Tue Jun 16 2009 Caius Chance <k AT kaio.me> - 1.1.0.20090309-9.fc11
- Rebuilt.

* Tue Jun 16 2009 Caius Chance <k AT kaio.me> - 1.1.0.20090309-8.fc11
- Resolves: rhbz#500579 (Missing .txt during post-install.)

* Tue May 19 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090309-7.fc11
- Create index only during post-install.
- Updated package description.

* Fri Mar 13 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090309-6.fc11
- Created Public Domain statement in for tables.

* Fri Mar 13 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090309-5.fc11
- Labelled changes of checksum of db files during post-install stage.
- Moved COPYING to icons for more accurate license coverage.
- Required ibus-table at post-install stage.

* Thu Mar 12 2009 Jens Petersen <petersen@redhat.com> - 1.1.0.20090309-4
- actually do --no-create-index to half size of binary package

* Thu Mar 12 2009 Jens Petersen <petersen@redhat.com> - 1.1.0.20090309-3
- add bcond for bootstrap
- add back automake and gettext BRs
- macro usage fixes

* Thu Mar 12 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090309-2.fc11
- Resolves: rhbz#488010
- Added index creation of Cangjie 3, Cangjie 5, Quick 3, Quick 5 at post-
  installation stage.

* Tue Mar 10 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090309-1.fc11
- Resolves: rhbz#488010
- Update sources tarball to 1.1.0-20090309.
- Removed usage of 'configure' and db creation replaced by usage of autogen.sh.

* Mon Mar  9 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-4.fc11
- Resolves: rhbz#488010
- Corrected license declaration.

* Fri Mar  6 2009 Jens Petersen <petersen@redhat.com> - 1.1.0.20090220-3
- ibus-table.pc now fixed so don't need to patch
- configure with cangjie3
- fix paths in post script

* Fri Mar 06 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-2.fc11
- Resolves: rhbz#488010
- Added "BuildReq" automake.
- Corrected license version to GPLv3.

* Mon Mar 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-1.fc11
- Resolves: rhbz#488010
- Splited from ibus-table.
